const { ipcRenderer } = require('electron');
const fs = require("fs");

async function showRecentFiles() {
	let recent_files = await ipcRenderer.invoke("get-store-value", "recent_files");
	$("#recent-files").empty();
	if (recent_files.length === 0) {
		$("#recent-files").css("display", "none");
		$("#splash").css("width", "100%")
	} else {
		for (let file of recent_files) {
			let recent_file_link = $("<button>")
				.addClass("list-group-item list-group-item-action d-flex justify-content-between align-items-center")
				.text(file.replace(/^.*[\\\/]/, ''))
				.attr({"data-bs-toggle": "tooltip", "data-bs-placement": "bottom", "title": file})
				.on("click", () => {
					ipcRenderer.send("open", file);
				})
				.append($("<a>")
					.addClass("btn-close")
					.on("click", () => {
						recent_file_link.remove();
						removeRecentFile(file);
					}));
			$("#recent-files").append(recent_file_link);
		}
	}
}

async function removeRecentFile(file) {
	await ipcRenderer.invoke("remove-recent-file", file);
	showRecentFiles();
}

showRecentFiles();

$("#create-new").on("click", () => {
	ipcRenderer.send("create-new");
});

$("#open-file").on("click", () => {
	ipcRenderer.send("open");
})
